Mono.Posix 1.0.5000.0 2.0.0.0 4.0.0.0 This type is safe for multithreaded operations. System.Object Performs operations on instances that contain file or directory path information.

A path is a string that provides the location of a file or directory. A path does not necessarily point to a location on disk; for example, a path may map to a location in memory or on a device. Paths are composed of the components described below. Component names are shown in and the following table describes the symbols used in component definitions:

Symbol
Description
< >
Indicates a path component.
{ }
Indicates a grouping; either all components in a grouping are present, or none are permitted to be present.
*
Indicates that the component or grouping that immediately precedes this symbol can appear zero, one, or multiple times.
?
Indicates that the component or grouping that immediately precedes this symbol can appear zero, or one times.
+
Indicates string concatenation.

The components that define a path are as follows:

: A string that specifies one or more directory levels in a file system. If a directory name contains multiple levels, a separates the levels; however, a directory name does not begin or end with a directory separator character. In the example path /foo/bar/bat.txt, the directory name is "foo/bar". returns the directory name component of a path. Note that this method does include a beginning separator character if one is included in the specified path.

: An implementation-defined constant string containing a single printable non-alphanumeric character used to separate levels in a file system. In the example path /foo/bar/bat.txt, the directory separator character is "/". The and store implementation-defined directory separator characters.

: A string that consists of the characters at the end of a file name, from and including the last . The minimum and maximum lengths of extension components are platform-specific. In the example path "/foo/bar/bat.txt", the is ".txt". The method returns the extension component of a path.

: An implementation-defined constant string composed of a single character that appears after the last character in the component indicating the beginning of the component. If the extension separator character "" is the first character in a , it is not interpreted as a extension separator character. If more than one extension separator character appears in a file name, only the last occurrence is the extension separator character; all other occurrences are part of the file base component. In the example path "/foo/bar/bat.txt", the extension separator character is ".".

: A string containing the with the component removed. In the example path "/foo/bar/bat.txt", the file base is "bat". The method returns the file base component of a path.

: A string containing all information required to uniquely identify a file within a directory. This component is defined as follows:

<file base>{+<extension>}?

The file name component is commonly referred to as a relative file name. In the example path "/foo/bar/bat.txt", the file name is "bat.txt". The method returns the file name component of a path.

: A string containing all information required to uniquely identify a directory within a file system. This component is defined as follows:

<path root>+<directory name>

The full directory name component is commonly referred to as the absolute directory name. In the example path "/foo/bar/bat.txt", the full directory name is "/foo/bar".

: A string containing all information required to uniquely identify a file within a file system. This component is defined as follows:

<full directory name>+<directory separator character>+<file name>

The full path component is commonly referred to as the absolute file name. In the example path "/foo/bar/bat.txt", the full path is "/foo/bar/bat.txt". The method returns the full path component.

: A string containing all information required to uniquely identify the highest level in a file system. The component is defined as follows:

{<volume identifier>+<volume separator character>}?+<directory separator character>

In the example path /foo/bar/bat.txt , the path root is "/". The method returns the component.

The exact format of a path is determined by the current platform. On some systems, paths containing file names can contain extensions. The format of an extension is platform dependent; for example, some systems limit extensions to three characters, while others do not. The current platform and possibly the current file system determine the set of characters used to separate the elements of a path, and the set of characters that cannot be used when specifying paths. Because of these differences, the fields of the class as well as the exact behavior of some members of the class are determined by the current platform and/or file system.

A path contains either absolute or relative location information. Absolute paths fully specify a location: the file or directory can be uniquely identified regardless of the current location. A full path or full directory name component is present in an absolute path. Relative paths specify a partial location: the current working directory is used as the starting point when locating a file specified with a relative path. To determine the current working directory, call .

Most members of the class do not interact with the file system and do not verify the existence of the file or directory specified by a path string. members that modify a path string, such as , have no effect on files and directories in the file system. members do, however, validate the contents of a specified path string, and throw if the string contains characters that are not valid in path strings, as defined by the current platform and file system. Implementations are required to preserve the case of file and directory path strings, and to be case sensitive if and only if the current platform is case-sensitive.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Char Provides a character used to separate directory levels in a hierarchical file system.

  This field is read-only.

  This is the value /.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String `` `System.ParamArray` A containing the first path. A array containing paths to append to . Concatentates multiple path strings.

  A containing followed by each sequential element in .

  If any of the specified paths is a zero-length string, it is ig

  To be added.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Char Provides a character used to separate directory levels in a hierarchical file system.

  This field is read-only.

  This is the value /.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Char[] To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Char Provides a character to separate path strings in environment variables.

  This field is read-only.

  This is the value :.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String `` To be added. To be added. To be added. To be added.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Char Provides a character to separate volumes from volume-specific paths.

  This field is read-only.

  This is the value /.

  This field is basically useless, since Unix uses a singly-rooted file system, all volumes are sub-directories of the path /.